Create/update
curl --request PUT \
--url https://notification-service.vatis.tech/notification-service/api/v1/webhook-endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"enabled": true,
"description": "<string>"
}
'import requests
url = "https://notification-service.vatis.tech/notification-service/api/v1/webhook-endpoints"
payload = {
"id": "<string>",
"url": "<string>",
"events": ["<string>"],
"enabled": True,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
url: '<string>',
events: ['<string>'],
enabled: true,
description: '<string>'
})
};
fetch('https://notification-service.vatis.tech/notification-service/api/v1/webhook-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"enabled": true,
"description": "<string>"
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}Webhooks
Create/update
Creates or updates a webhook endpoint.
PUT
/
notification-service
/
api
/
v1
/
webhook-endpoints
Create/update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I